sayren Docs
클레임

반품·교환 수거 등록

POST
/v1/claims/{claimId}/collect
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

claimId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

collectMethod*string

Value in

  • "SELLER_PICKUP"
  • "BUYER_SEND"
carrierCode?string

Response Body

application/json

curl -X POST "https://example.com/v1/claims/string/collect" \  -H "Content-Type: application/json" \  -d '{    "collectMethod": "SELLER_PICKUP"  }'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "claimId": "string",    "type": "CANCEL",    "status": "REQUESTED",    "orderId": "string",    "orderItemId": "string",    "productName": "string",    "quantity": 0,    "reason": "CHANGE_OF_MIND",    "reasonDetail": "string",    "responsibility": "BUYER",    "claimDeliveryFee": 0,    "expectedRefundAmount": 0,    "exchangeOption": {      "optionId": "string",      "optionName": "string"    },    "collect": {      "method": "SELLER_PICKUP",      "carrierCode": "string",      "trackingNumber": "string"    },    "requestedAt": "string",    "completedAt": "string",    "holdExpiresAt": "string",    "holdUsed": true  },  "error": null}